<?

//-------------------------------fim da autenticação---------------------//

    include("authentication.php");

	include("conexao.php");

    require("funcoes.php");

	$id_usuario = $_SESSION["id_usuario"];

	$login =  $_SESSION["login"];  

//-------------------------------fim da autenticação---------------------//

// -------------------- Inclusão/Alteração/exclusão ------------------------------

if ($_POST['campo_funcao'] == "inc"){



$dt_email = date("Y-m-d");





  $result = mysqli_query($conexao,"insert into emails_clube SET 

  email='".valida_caracteres($_POST["email"])."',

  diretoria='".valida_caracteres($_POST["diretoria"])."',

  dt_email='".$dt_email."'  

  ") or die (mysqli_error($conexao));

  $registro = mysqli_insert_id();

              savelog($login, "Inseriu novo e-mails: $registro - $_POST[email].");

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "")){

  $result = mysqli_query($conexao,"UPDATE emails_clube SET 

  email='".valida_caracteres($_POST["email"])."',

  diretoria='".valida_caracteres($_POST["diretoria"])."',

  situacao='".valida_caracteres($_POST["situacao"])."'

  where id='".valida_caracteres($_POST["id_tcomp"])."'") or die(mysqli_error($conexao));



              savelog($login, "Alterou dados do e-mail com o código: $_POST[id_tcomp] - $_POST[email].");

}

else if (($_POST['campo_funcao'] == "alt")and($_POST['funcao_exc'] == "exc")){

  $result = mysqli_query($conexao,"DELETE FROM emails_clube WHERE id = '$_POST[id_tcomp]'") or die(mysqli_error($conexao));

  

              savelog($login, "Excluiu o e-mail com o código: $_POST[id_tcomp].");

}



$alerta = $_POST['campo_funcao']."alt".$_POST['funcao_exc'];

?>

<html>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title><? echo $empresa; ?></title>

<meta name="Description" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<meta name="Keywords" content="">

<script language="JavaScript">

<!--

function Redireciona(){

  <? if (isset($_POST['campo_funcao'])){

 

       if ($_POST['campo_funcao'] == "inc"){

	     $time = time();   // P/ forçar a atualização da página... (não abrir do cache)

	     echo "open('cad_email_alt.php?id_tcomp=0?time=$time', '_top');";

	   }else if ($_POST['campo_funcao'] == "alt")

	   	   if($_POST['funcao_exc'] == ""){

	       echo "open('cad_email_alt.php?id_tcomp=$_POST[id_tcomp]', '_top');";  

           }else{

	       echo "open('lista_emails_oficiais.php', '_top');";

           } 	   



      }

  ?>

 // alert("<? //echo $alerta ?>");

}

-->

</script>

</head>

<body onLoad="JavaScript:Redireciona()">  

	  



</body>

</html>